% main.m
%
% 12th Spacecraft Control System Design Contest
%	"Sunflower"
%
% Revision history
% 250507 Drafted
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
	clear all
	close all
%
	global dth_ smt_ ndisp nsave
	global t_
%
tic
	set_Constants;
	[ts,xs] = set_InitialValues;
%
	while(t_ < smt_)
		exe_Dynamics;
		%
		chk_State;
		if ( abs(round(t_/(nsave*dth_))*(nsave*dth_)-t_)<dth_/2 ),
			[ts,xs]=exe_SaveVariables(ts,xs);
		end
		if ( abs(round(t_/(ndisp*dth_))*(ndisp*dth_)-t_)<dth_/2 ),
			exe_RefreshScreen;
			drawnow;
		end
	end
% 
	xs	= [ts;xs]';
	save 'user/result.csv' xs -ASCII -TABS;
	exe_PlotGraphs();
toc
