function vA = inv_tildeM(mA)
%% Input
%% mA: a 3x3 skew symmetric matrix
%% Output
%% vA:  a 3x1 vector such that
%%     mA * vB = cross(vA,vB), where vB is a 3x1 vector

vA		= zeros(3,1);
vA(1)	= (mA(3,2)-mA(2,3))/2;
vA(2)	= (mA(1,3)-mA(3,1))/2;
vA(3)	= (mA(2,1)-mA(1,2))/2;
