function runge(funderyv)
%
%  	numerical integration by 4th Order Runge Kutta Method
%
	global x_ dx_ nde_ dth_ t_
	global N_xo
	global t_in x_in dxdt

	evalstr	= [funderyv];
	
	t_in	= t_;
	x_in	= x_(N_xo);
	eval(evalstr);
	k1		= dxdt*dth_;
	
	t_in	= t_ + dth_/2;
	x_in	= x_(N_xo) + k1/2;
	eval(evalstr);
	k2		= dxdt*dth_;
	
	t_in	= t_ + dth_/2;
	x_in	= x_(N_xo) + k2/2;
	eval(evalstr);
	k3		= dxdt*dth_;
	
	t_in	= t_ + dth_;
	x_in	= x_(N_xo) + k3;
	eval(evalstr);
	k4		= dxdt*dth_;
	
	x_(N_xo)	= x_(N_xo) + (1/6)*(k1+2*k2+2*k3+k4);
	t_ = t_ + dth_;
