function [ts,xs] = exe_SaveVariables(ts,xs)
% exe_SaveVariables.m
%
% Save variables
%
% Revision history
% 250507 Drafted
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
global t_ x_
global N_q N_omg N_h_B
global N_L_I
global I_B

	q		= x_(N_q);
	omg		= x_(N_omg);
	h_B		= x_(N_h_B);
	C_I2B	= q2DCM(q);
	x_(N_L_I)	= C_I2B'*(I_B*omg+h_B);

    xs = [xs, x_];
	ts = [ts, t_];
