function omg = dq2omg_q(q,dq)
%% Input
%% q: quaternion (4x1 vector)
%% dq: time derivative of q (4x1 vector)
%% Output
%% omg: body rate (3x1 vector)

matQ	= [[q(4)*eye(3,3)+tildeM(q(1:3))];-q(1:3)'];
omg		= 2*matQ'*dq;
