function dq = omg2dq_q(q,omg)
%% Input
%% q: quaternion (4x1 vector)
%% omg: body rate (3x1 vector)
%% Output
%% dq: time derivative of q (4x1 vector)

matQ	= [[q(4)*eye(3,3)+tildeM(q(1:3))];-q(1:3)'];
dq		= (1/2)*matQ*omg;

